# Random Username Generator

A package to randomly generate compelling usernames in the format `<adjective><noun><number>`. The number can be disabled.

## Installation

You can install the Random Username Generator from ![PyPI](https://img.shields.io/pypi/v/RandomUsernames)

    pip install RandomUsername

This package is supported on Python 3.6 and above.

## How to use

This is a command-line application to generate usernames. To use, simply call:

    $ random_username -h
    usage: random_username [-h] [--exclude_numbers] [num_results]
    
    Generate Compelling Usernames.
    
    positional arguments:
      num_results        Number of results to return
    
    optional arguments:
      -h, --help         show this help message and exit
      --exclude_numbers  If username should exclude numbers

To generate usernames, call the program like so (not specifying a number will default to 1):

    $ random_username 4
    betterCelery3781
    dopeyHaddock9901
    zebraSardines2757
    zooticWasp2067

    $ random_username 4 --exclude_numbers_
    finickyMuffin
    ludicrousToucan
    faithfulWasp
    gloomyZebra


You can also call the Random Username Generator from your own python code by importing from `random_username.generate`

    >>> from random_username.generate import generate
    >>> generate_username(4)
    ['proudGnu1126', 'glamorousScallops2223', 'littleCrab6968', 'sincereCloudberry1614']
    >>> generate_username(4, include_numbers=False)
    ['extravagantHalibut', 'truthfulIbis', 'obsessedStork', 'zirconiumMango']
