import pytest
from random_username.generate import generate_username

def test_generate_username_no_numbers():
    username = generate_username(num_results=1, include_numbers=False)
    assert any(char.isdigit() for char in username[0]) == False

def test_generate_username_with_numbers():
    username = generate_username(num_results=1, include_numbers=True)
    assert any(char.isdigit() for char in username[0]) == True

def test_generate_username_length():
    username = generate_username(num_results=1, include_numbers=True)
    assert len(username) == 1

@pytest.mark.parametrize("num_results", [1, 2, 3, 5, 10])
def test_generate_username_num_results(num_results):
    usernames = generate_username(num_results=num_results, include_numbers=True)
    assert len(usernames) == num_results
